## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.commonui
Interface INameCompositeProvider

All Superinterfaces:
  ICompositeProvider

All Known Implementing Classes:
  FullNameCompositeProvider, NameCompositeProvider, TriggerNameCommentCompositeProvider, TriggerNameCompositeProvider

    public interface INameCompositeProvider

extends ICompositeProvider

Author:
  Hui Cao

Field Summary
`static int` `NONE` Style constant for the basic layout (value is 0).
`static int` `SHOW_COMMENT` Style constant to show comment (value is 1<<2).
`static int` `SHOW_DATABASE` Style constant to show database name (value is 1<<1).

Fields inherited from interface org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.commonui.ICompositeProvider
`BORDER, GROUP`

Method Summary
`org.eclipse.swt.widgets.Text` `getNameControl()`
`void` `setValues(java.lang.String dbName, java.lang.String owner, java.lang.String name, java.lang.String tableName, java.lang.String tableOwner)`

Methods inherited from interface org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.routineeditor.commonui.ICompositeProvider
`getComposite`

Field Detail

### NONE

    static final int NONE

  Style constant for the basic layout (value is 0).

  See Also:
    Constant Field Values

### SHOW_DATABASE

    static final int SHOW_DATABASE

  Style constant to show database name (value is 1<<1).

  See Also:
    Constant Field Values

### SHOW_COMMENT

    static final int SHOW_COMMENT

  Style constant to show comment (value is 1<<2).

  See Also:
    Constant Field Values

Method Detail

### setValues

    void setValues(java.lang.String dbName,
                   java.lang.String owner,
                   java.lang.String name,
                   java.lang.String tableName,
                   java.lang.String tableOwner)

### getNameControl

    org.eclipse.swt.widgets.Text getNameControl()